      subroutine FeFrToRefresh(id)
      include 'fepc.cmn'
      if(id.eq.0) then
        EdwFr=1
        EdwTo=mxedw
        CrwFr=1
        CrwTo=mxcrw
        ButtonFr=1
        ButtonTo=mxbut
        SbwFr=1
        SbwTo=MxSbw
        LblFr=1
        LblTo=MxLbl
        LinkaFr=1
        SvisliceFr=1
        LinkaTo=mxLinka
        SvisliceTo=mxSvislice
        RolMenuFr=1
        RolMenuTo=MxRolMenu
      else if(id.gt.0) then
        EdwFr=QuestEdwFr(id)
        EdwTo=QuestEdwTo(id)
        CrwFr=QuestCrwFr(id)
        CrwTo=QuestCrwTo(id)
        ButtonFr=QuestButtonFr(id)
        ButtonTo=QuestButtonTo(id)
        SbwFr=QuestSbwFr(id)
        SbwTo=QuestSbwTo(id)
        LblFr=QuestLblFr(id)
        LblTo=QuestLblTo(id)
        LinkaFr=QuestLinkaFr(id)
        LinkaTo=QuestLinkaTo(id)
        SvisliceFr=QuestSvisliceFr(id)
        SvisliceTo=QuestSvisliceTo(id)
        RolMenuTo=QuestRolMenuTo(id)
        RolMenuFr=QuestRolMenuFr(id)
        ActiveObjFr=QuestActiveObjFr(id)
        ActiveObjTo=QuestActiveObjTo(id)
        ActiveObj=QuestActiveObj(id)
        EdwNAll=QuestEdwNAll(id)
        EdwActive=QuestEdwActive(id)
        EdwLastActive=EdwActive-EdwFr+1
        SbwActive=QuestSbwActive(id)
        LastEdw=EdwActive
        KurzorEdw=EdwActive
        EventType=QuestEventType(id)
        EventNumber=QuestEventNumber(id)
        EventNumberAbs=QuestEventNumberAbs(id)
        CheckType=QuestCheckType(id)
        CheckNumber=QuestCheckNumber(id)
        CheckNumberAbs=QuestCheckNumberAbs(id)
        EventTypeSave=QuestEventTypeSave(id)
        EventNumberSave=QuestEventNumberSave(id)
        ButtonOk=QuestButtonOk(id)
        ButtonEsc=QuestButtonEsc(id)
        ButtonCancel=QuestButtonCancel(id)
        CheckMouse=QuestCheckMouse(id)
        TakeMouseMove=QuestTakeMouseMove(id)
        AllowChangeMouse=QuestAllowChangeMouse(id)
        CheckKeyBoard=QuestCheckKeyBoard(id)
      else
        EdwFr=1
        EdwTo=0
        CrwFr=1
        CrwTo=0
        ButtonFr=1
        ButtonTo=0
        SbwFr=1
        SbwTo=0
        LblFr=1
        LblTo=0
        LinkaFr=1
        LinkaTo=0
        SvisliceFr=1
        SvisliceTo=0
        RolMenuFr=1
        RolMenuTo=0
        ActiveObjFr=1
        ActiveObjTo=0
      endif
      return
      end
